### Function

# Qmi MessagePdsSetAgpsConfigInput new

since: 1.12

#### Declaration [src]

    QmiMessagePdsSetAgpsConfigInput*
    qmi_message_pds_set_agps_config_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessagePdsSetAgpsConfigInput`.

Available since: 1.12

#### Return value

Type: `QmiMessagePdsSetAgpsConfigInput`

The newly created `QmiMessagePdsSetAgpsConfigInput`. The returned value should be freed with qmi_message_pds_set_agps_config_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.